org.springframework.batch.item

## Class UnexpectedInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.ItemReaderException
        - - org.springframework.batch.item.UnexpectedInputException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnexpectedInputException
      extends ItemReaderException

  Used to signal an unexpected end of an input or message stream. This is an abnormal condition, not just the end of the data - e.g. if a resource becomes unavailable, or a stream becomes unreadable.
  Author:
    Dave Syer, Ben Hale
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedInputException(java.lang.String message)` Create a new `UnexpectedInputException` based on a message.
    `UnexpectedInputException(java.lang.String msg, java.lang.Throwable nested)` Create a new `UnexpectedInputException` based on a message and another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedInputException

          public UnexpectedInputException(java.lang.String message)

      Create a new `UnexpectedInputException` based on a message.
      Parameters:
        `message` - the message for this exception

    - #### UnexpectedInputException

          public UnexpectedInputException(java.lang.String msg,
                                          java.lang.Throwable nested)

      Create a new `UnexpectedInputException` based on a message and another exception.
      Parameters:
        `msg` - the message for this exception
        `nested` - the other exception